piątek, 21 czerwca 2013

KDE Telepathy Daily Builds PPA - small announcement

In case anyone is using or would like to try the Daily Builds PPA - today I have changed all recipes to build every package with version 0.99.0+git{date}+r{revno}-{revno:packaging} so that the daily packages are always installed over the stable ones. I have also changed the recipe to build packages for Raring and Saucy. Do keep in mind that software in those packages is compiled every day so it might not work, crash, eat your data etc. Please report all bugs to upstream at http://bugs.kde.org unless it is a packaging bug, in that case please contact me. I also deleted all packages from the PPA and requested new builds so you might not be able to install anything yet.

3 komentarze:

  1. We are still some 12.10 users around...

  2. I can enable dailies for 12.10 but I'm not sure whether will it work or not

  3. I can't install teleapthy from the daily builds ppa for this reason:
    The following packages will be upgraded:
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    14 not fully installed or removed.
    Need to get 0 B/243 kB of archives.
    After this operation, 213 kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    (Reading database ... 215695 files and directories currently installed.)
    Preparing to replace libktpcommoninternalsprivate5 0.6.3-1fakesync1ubuntu1 (using .../libktpcommoninternalsprivate5_0.99.0+git20130701+r428-10~saucy1_amd64.deb) ...
    Unpacking replacement libktpcommoninternalsprivate5 ...
    dpkg: error processing /var/cache/apt/archives/libktpcommoninternalsprivate5_0.99.0+git20130701+r428-10~saucy1_amd64.deb (--unpack):
    trying to overwrite '/usr/lib/kde4/imports/org/kde/telepathy/libktpqmlplugin.so', which is also in package libktpcommoninternalsprivate6 0.99.0+git20140216+r603-22~ubuntu13.10.1
    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
    Errors were encountered while processing:
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Then i forced the install with override
    sudo apt-get -o Dpkg::Options::="--force-overwrite" install libktpcommoninternalsprivate5

    But on launching telepathy I got:
    ktp-contactlist: error while loading shared libraries: libktpcommoninternalsprivate.so.6: cannot open shared object file: No such file or directory

    can you help me?